xine-lib: Data Fields - Variables

xine-lib 1.2.12

### - c -

- c : cc_char_cell_s, clut_union_t, eq2_param_t, vaapi_context_impl
- c_x : Similitude_Struct
- c_y : Similitude_Struct
- cache : cdda_input_plugin_t
- cache_first : cdda_input_plugin_t
- cache_last : cdda_input_plugin_t
- cache_list : plugin_catalog_s
- cached_height : spucmml_decoder_s
- cached_img_duration : spucmml_decoder_s
- cached_width : spucmml_decoder_s
- cadj : directfb_driver_s
- cal_mode : em8300_overlay_calibrate_t
- calc_frequency : v4l_input_plugin_t
- callback : _cfg_cb_info_t, cfg_entry_s, xine_cfg_entry_s, xine_event_queue_s
- callback_data : cfg_entry_s, xine_cfg_entry_s
- callback_running : xine_event_queue_s
- camg : demux_iff_t
- camg_mode : bitplane_decoder_s
- can_cc : cc_state_s
- cap : _ct, v4l2_input_plugin_t
- cap_chapters : matroska_edition_t
- cap_deep : dav1d_decoder_s
- cap_display : cc_renderer_s
- cap_editions : demux_matroska_t
- cap_rest : ftp_input_plugin_t
- capabilities : alsa_driver_s::_alsa_dev_info_s, alsa_driver_s, ao_directx_t, ao_file_driver_s, ao_none_driver_s, coreaudio_driver_s, directfb_driver_s, dx2_driver_t, esd_driver_s, jack_driver_s, oss_driver_s, pulse_driver_s, sdl_driver_s, sndio_driver_s, stk_driver_s, sun_driver_s, vaapi_driver_s, vdpau_driver_t, vidix_driver_s, xv_driver_s, xxmc_driver_s
- capid : cc_decoder_s
- caps : directfb_driver_s, faad_class_s
- caps1 : hls_input_plugin_t, mpd_input_plugin_s
- card_info : alsa_driver_s
- cb : clut_s
- cbAlign : _AllocatorProperties
- cbBuffer : _AllocatorProperties
- cbp : CBPtab
- cbPrefix : _AllocatorProperties
- cbr_flag : hrd_parameters
- cbSize : xine_waveformatex
- cBuffers : _AllocatorProperties
- cc_cfg : cc_state_s, spucc_class_s
- cc_dec : mpeg2dec_s
- cc_enabled : cc_config_s
- cc_open : spucc_decoder_s
- cc_palette : cc_renderer_s
- cc_scheme : cc_config_s
- cc_state : cc_decoder_s, cc_renderer_s, spucc_decoder_s
- cc_trans : cc_renderer_s
- ccdec : spucc_decoder_s
- ccrt : demux_iff_t
- cdda_device : cdda_input_class_t
- cddb : cdda_input_plugin_t
- cddb_enable : cdda_input_class_t
- cddb_error : cdda_input_class_t
- cddb_port : cdda_input_class_t
- cddb_server : cdda_input_class_t
- cdiscid : cdda_input_plugin_t
- cdrom_dev : xine_health_check_s
- cell_start : dvd_input_plugin_s
- cells : cc_row_s
- center : cc_config_s, surf3d
- centre_cut_out_mode : expand_parameters_s
- cfs : demux_ra_t, real_stream_t
- ch : asmrp_t
- chan_settings : demux_iff_t
- change_listener : _PARAM
- changed : _PARAM, opengl2_driver_t, vdr_input_plugin_s, xine_stream_private_st
- channel : cc_memory_s, dvb_input_plugin_t, pvr_input_plugin_t, upmix_mono_parameters_s, v4l_input_plugin_t, xine_set_v4l2_data_t
- channel_change_mutex : dvb_input_plugin_t
- channel_conf : bebf_latm_t
- channel_conf2 : bebf_latm_t
- channel_mode : mpg_audio_frame_t
- channel_no : cc_memory_s
- channel_osd : dvb_input_plugin_t
- channel_type : demux_str_t
- channels : _PIXEL, AudioTrack, demux_flac_s, demux_flac_t, demux_tta_t, demux_wv_t, dvb_input_plugin_t, dx2_driver_t, fooaudio_decoder_s, fusionsound_driver_s, matroska_audio_track_t, mpc_decoder_s, nsf_decoder_s, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, post_plugin_tdaan_t, post_plugin_upmix_mono_s, properties_t, ra_init_t, speex_decoder_s, vdr_select_audio_data_s, wavpack_decoder_t, xine_flac_streaminfo_block
- chapter_info : demux_ogg_s
- chapters : matroska_edition_t
- charValue : YYSTYPE
- cheap_mode : deinterlace_parameters_s, post_plugin_deinterlace_s
- check_vbr_header : demux_mpgaudio_t
- child : xml_node_s
- chnn : ao_directx_t
- choices : ListVal
- choose_speed_over_accuracy : ff_video_class_s
- chosen_reference : qt_info
- chroma : denoise3d_parameters_s, sequence_t, vdec_hw_h264_sequence_t, vdpau_accel_t
- chroma_amount : unsharp_parameters_s
- chroma_filter : deinterlace_parameters_s, post_plugin_deinterlace_s
- chroma_format : mpeg2_decoder_s
- chroma_format_idc : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- chroma_height : mpeg2_sequence_s
- chroma_loc_info_present_flag : seq_parameter_set_rbsp
- chroma_log2_weight_denom : slice_header, vdec_hw_h264_lps_t
- chroma_matrix_height : unsharp_parameters_s
- chroma_matrix_width : unsharp_parameters_s
- chroma_offset_l0 : slice_header, vdec_hw_h264_lps_t
- chroma_offset_l1 : slice_header, vdec_hw_h264_lps_t
- chroma_power : boxblur_parameters_s
- chroma_qp_index_offset : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- chroma_quantizer : mpeg2_decoder_s
- chroma_radius : boxblur_parameters_s
- chroma_sample_loc_type_bottom_field : seq_parameter_set_rbsp
- chroma_sample_loc_type_top_field : seq_parameter_set_rbsp
- chroma_strength : noise_parameters_s
- chroma_weight_l0 : slice_header, vdec_hw_h264_lps_t
- chroma_weight_l1 : slice_header, vdec_hw_h264_lps_t
- chroma_width : mpeg2_sequence_s
- chromakey_changed : pgx64_driver_t
- chromakey_en : pgx64_driver_t
- chromakey_mutex : pgx64_driver_t
- chromakey_regen_needed : pgx64_driver_t
- chromaParam : vf_priv_s
- chunk : xine_array_s, xine_sarray_s
- chunk_buffer : mpeg2dec_s, mpeg_parser_s, realdec_decoder_s
- chunk_buffer_max : realdec_decoder_s
- chunk_buffer_size : realdec_decoder_s
- chunk_length : mmsh_s
- chunk_list : xine_pool_s
- chunk_offset_count : qt_trak
- chunk_offset_table32 : qt_trak
- chunk_offset_table64 : qt_trak
- chunk_pool : xine_ring_buffer_s
- chunk_ptr : mpeg2dec_s, mpeg_parser_s
- chunk_seq_number : mmsh_s
- chunk_size : mpeg2dec_s, xine_array_s, xine_buffer_header_t, xine_sarray_s
- chunk_start : mpeg2dec_s, mpeg_parser_s
- chunk_type : mmsh_s
- chunks : xine_list_s
- ci : qtv_decoder_s
- class : a52dec_decoder_s, alsa_driver_s, bluray_input_plugin_t, dx2_driver_t, dxr3_decoder_s, dxr3_driver_s, dxr3_spudec_s, faad_decoder_s, ff_audio_decoder_s, ff_video_decoder_s, foovideo_decoder_s, pgx32_driver_t, pgx64_driver_t, post_class_goom_s, post_plugin_deinterlace_s, post_plugin_goom_s, spucmml_class_s, spucmml_decoder_s, sputext_class_s, sputext_decoder_s, vcd_input_plugin_s
- clean : x11osd, xcbosd
- clear : fifo_buffer_s, osd_renderer_s
- client : jack_driver_s
- clip_map : spu_encoder_s
- clock : aos_t, dxr3_decoder_s, scr_plugin_s, vos_t, xine_s
- Clone : IEnumDMO_vt, IEnumMediaTypes_vt, IEnumPins_vt, IMediaObjectInPlace_vt
- close : ao_driver_s, osd_renderer_s, vo_instance_s, xine_audio_port_s, xine_video_port_s
- closed_gop : picture_s
- cls : vcd_input_plugin_t
- clut : dxr3_spudec_s, spudec_state_t
- clut_cluttered : dxr3_driver_s
- CLUT_id : region_t
- cluts : spuhdmv_decoder_s, xx44_palette_t
- cm : rgb2yuy2_s
- cm_active : xshm_driver_t, xv_driver_s
- cm_fragprog : opengl_driver_t
- cm_lut : opengl2_driver_t, opengl_driver_t, vaapi_driver_s, vdpau_driver_t, xshm_driver_t, xv_driver_s
- cm_state : opengl2_driver_t, opengl_driver_t, vaapi_driver_s, vdpau_driver_t, xshm_driver_t, xv_driver_s
- cm_yuv2rgb : opengl_driver_t
- cmap : demux_iff_t, pgx64_driver_t, x11osd, xcbosd, yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- cmap_blue : ColorRegister
- cmap_green : ColorRegister
- cmap_num : demux_iff_t
- cmap_red : ColorRegister
- cmd_offs : spudec_seq_t
- cmd_ptr : spudec_state_t
- cnt_dropped_flag : sei_message
- code : mpeg2dec_s, mpeg_parser_s, osd_fontchar_s
- code_start : sequence_t
- codec : ff_audio_decoder_s, ff_video_decoder_s
- codec_buftype : properties_t
- codec_data_length : ra_init_t
- codec_fourcc : properties_t
- codec_id : matroska_track_s
- codec_initialized : qta_decoder_s, qtv_decoder_s
- codec_name : sequence_t
- codec_private : matroska_track_s, vdpau_h264_decoder_s
- codec_private_len : matroska_track_s, vdpau_h264_decoder_s
- codec_str : properties_t
- codeccap : qtv_decoder_s
- coded_frame_size : ra_init_t
- coded_height : sequence_t, vdec_hw_h264_sequence_t
- coded_pic : decoded_picture
- coded_picture_height : picture_s
- coded_picture_width : picture_s
- coded_width : sequence_t, vdec_hw_h264_sequence_t
- coding_type : mpeg2_decoder_s
- coeffs : _ZOOM_FILTER_FX_WRAPPER_DATA
- col : _TENTACLE_FX_DATA
- Col : Fractal_Struct
- colcal_lower : dxr3_overlay_s
- colcal_upper : dxr3_overlay_s
- color : _GMLINE, em8300_button_t, osd_object_s, rle_elem_s, spu_encoder_s, subtitle_clut_s, vo_overlay_s
- color2 : _GMLINE
- color_interval : dxr3_overlay_s
- color_matrix : demux_yuv4mpeg2_t, ff_video_decoder_s, rgb_decoder_s, sequence_t, vaapi_driver_s, vdec_hw_h264_frame_t, vdec_hw_h264_sequence_t, vdpau_driver_t, yuv_decoder_s
- color_standard : opengl2_driver_t
- colorkey : directfb_driver_s, dxr3_overlay_s, x11osd, xcbosd, xxmc_driver_s
- colorkeying : directfb_driver_s
- colors : _BitmapInfo, _TENTACLE_FX_DATA, matroska_sub_track_t
- colorstandard : xine_set_v4l2_data_t
- colorsubcarrier : xine_set_v4l2_data_t
- colour : xine_spu_opacity_s
- colour_desc : vdec_hw_h264_vui_t
- colour_description : picture_s
- colour_description_present : seq_parameter_set_rbsp
- colour_key : pgx64_driver_t
- colour_key_rgb : pgx64_driver_t
- colour_plane_id : slice_header
- colour_primaries : mpeg2_sequence_s, seq_parameter_set_rbsp, vdec_hw_h264_vui_t
- colour_primatives : picture_s
- colourkey : vidix_driver_s
- colours : dvbsub_func_t
- comment : id3v1_tag_t, qt_info, rmff_cont_t
- comment_format : vcd_config_s
- comment_len : rmff_cont_t
- Commit : IMemAllocator_vt
- comp_descr : presentation_segment_s
- comp_objs : presentation_segment_s
- comp_page_id : spu_dvb_descriptor_s
- comparator : xine_sarray_s
- compat_depth : dvbsub_func_t
- compatibility : xine_ui_message_data_t
- compilationOK : _GoomSL
- compiled : opengl2_program_t
- complete : spudec_seq_t
- completed : vdec_hw_h264_frame_int_s
- completed_pic : vdpau_h264_decoder_s
- complexity_estimation_disable : picture_t
- Components : Fractal_Struct
- composer : qt_info
- compress_algo : matroska_track_s
- compress_len : matroska_track_s
- compress_maxlen : demux_matroska_t
- compress_settings : matroska_track_s
- compressed_header : qt_info
- compression : BitMapHeader
- compression_factor : aos_t
- compression_factor_max : aos_t
- compression_type : demux_eawve_t
- compressor : avi_t
- concealment_motion_vectors : mpeg2_decoder_s, picture_s, xine_vld_frame_s
- cond : context_lock_s, mmal_driver_t
- confbuflen : bebf_latm_t
- config : a52dec_class_t, bebf_latm_t, cdda_input_class_t, cfg_entry_s, demux_qt_t, directfb_driver_s, fat_config_values_t, macosx_class_t, macosx_driver_t, opengl2_driver_t, opengl_driver_t, rtp_input_plugin_t, sdl_class_t, vcd_input_class_s, vcd_input_plugin_t, vidix_driver_s, xine_egl_t, xine_s, xxmc_driver_s
- config_entry_list : plugin_node_s
- config_key : alsa_driver_s::_alsa_dev_info_s
- config_lock : config_values_s
- config_version : cc_config_s, spucc_decoder_s
- configure : yuv2rgb_s
- conflen : bebf_latm_t
- Connect : IPin_vt
- ConnectedTo : IPin_vt
- connection : xcb_visual_t, xcbosd, xshm_driver_t, xv_driver_s
- ConnectionMediaType : IPin_vt
- connections : broadcaster_s
- constFloat : _NODE_TYPE
- constInt : _NODE_TYPE
- constPtr : _NODE_TYPE
- constrained_intra_pred_flag : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- constraint_set0_flag : vdec_hw_h264_sps_t
- constraint_set1_flag : vdec_hw_h264_sps_t
- constraint_set2_flag : vdec_hw_h264_sps_t
- constraint_set3_flag : vdec_hw_h264_sps_t
- constraint_setN_flag : seq_parameter_set_rbsp
- consumed_in_last_array : _GOOM_HEAP
- cont : rmff_header_t
- content : asf_header_s, buf_element_s, epg_entry_t
- content_detection_method : xine_stream_s
- contentlength : http_input_plugin_t
- contents : win32_driver_t
- context : aa_driver_t, ff_audio_decoder_s, ff_video_decoder_s, lavc_data_s, opengl_driver_t, pulse_driver_s, realdec_decoder_s, xine_egl_t, xine_glx_t, xxmc_driver_s
- context_flags : xxmc_driver_s
- contextActive : xxmc_driver_s
- contrast : em8300_bcs_t, em8300_button_t, eq2_parameters_s, eq_parameters_s, opengl2_driver_t, opengl_driver_t, vaapi_equalizer, vdpau_driver_t, vf_priv_s, xshm_driver_t
- control : ao_driver_s, xine_audio_port_s
- controller : XineOpenGLView
- conv : _PLUGIN_INFO
- conv_motif : _CONV_DATA
- convbuffer : vorbis_decoder_s
- convert : mpeg2_decoder_s, mpeg2dec_s, vo_setup_result_t
- convert_arg : mpeg2dec_s
- convert_id : mpeg2_decoder_s
- convert_id_size : mpeg2dec_s
- convert_start : mpeg2dec_s
- convert_stride : mpeg2dec_s
- convert_u8_s8 : sun_driver_s
- converter_component : coreaudio_driver_s
- converter_unit : coreaudio_driver_s
- convolve_fx : _PLUGIN_INFO
- convsize : vorbis_decoder_s
- cop : _PIXEL
- copy : mpeg2_convert_init_s
- copy_matrix : mpeg2dec_s
- copy_scanline : deinterlace_method_s
- copyright : asf_content_s, demux_iff_t, demux_mod_t, demux_nsf_t, qt_info, rmff_cont_t, sdpplin_t
- copyright_len : rmff_cont_t
- corn : opengl2_driver_t
- correct_durations : dxr3_decoder_s
- corrupted_pes : demux_ts_media
- CosineTable : fft_s
- Count : Fractal_Struct
- count : refcounter_t, xine_pool_chunk_s, xine_ticket_private_t
- CountComponents : qtv_decoder_s
- counter : CEnumPins, demux_ts_media, xine_stream_private_st
- counting_type : sei_message
- country : bluray_input_class_t, matroska_chapter_t
- cpb_cnt_minus1 : hrd_parameters
- cpb_removal_delay : sei_message
- cpb_removal_delay_length_minus1 : hrd_parameters
- cpb_size_scale : hrd_parameters
- cpb_size_value_minus1 : hrd_parameters
- cpu_be : lpcm_decoder_s
- cpu_save_enabled : xxmc_driver_s
- cpu_saver : xxmc_driver_s
- cr : clut_s
- crc : demux_ts_pmt, id3v23_frame_ext_header_t, id3v24_frame_ext_header_t
- crc32 : demux_tta_t
- create_converter : yuv2rgb_factory_s
- create_object : xine_pool_s
- creation_time : qt_info
- cred : tls_gnutls_t
- crng : demux_iff_t
- crng_used : demux_iff_t
- crop_bottom : vo_frame_s, vo_scale_s, vos_t, xine_current_frame_data_s, xine_grab_video_frame_s
- crop_flush : xshm_frame_t
- crop_h : mmal_decoder_s
- crop_height : composition_object_s
- crop_horiz_pos : composition_object_s
- crop_left : vo_frame_s, vo_scale_s, vos_t, xine_current_frame_data_s, xine_grab_video_frame_s
- crop_right : vo_frame_s, vo_scale_s, vos_t, xine_current_frame_data_s, xine_grab_video_frame_s
- crop_start : xshm_frame_t
- crop_stop : xshm_frame_t
- crop_top : vo_frame_s, vo_scale_s, vos_t, xine_current_frame_data_s, xine_grab_video_frame_s
- crop_vert_pos : composition_object_s
- crop_w : mmal_decoder_s
- crop_width : composition_object_s
- crop_x : mmal_decoder_s
- crop_y : mmal_decoder_s
- cropped_flag : composition_object_s
- cs_convert_init : ff_video_decoder_s
- csc_matrix : opengl2_driver_t
- csc_method : post_class_goom_s, post_plugin_goom_s
- csc_mode : vaapi_driver_s
- csc_shaders : opengl2_driver_t
- cseq : rtsp_s
- Ct : Similitude_Struct
- Ct2 : Similitude_Struct
- ct_type : sei_message
- ctab : ff_video_decoder_s
- ctOctave : Voice8Header
- ctx : dav1d_decoder_s, tls_openssl_t, vpx_decoder_s
- ctx_impl : vaapi_frame_t
- ctx_lock : vaapi_context_impl
- cur : config_values_s, demux_sputext_t, scratch_buffer_s
- cur_colors : spudec_state_t
- cur_done : vdr_input_plugin_s
- Cur_F : _IFS_DATA
- cur_field : xxmc_driver_s
- cur_frame : demux_mpgaudio_t, demux_raw_dv_t, directfb_driver_s, fb_driver_s, xshm_driver_t, xv_driver_s, xxmc_driver_s
- cur_func : vdr_input_plugin_s
- cur_line : post_plugin_fftgraph_s
- cur_method : post_plugin_deinterlace_s
- cur_num_entries : lrb_t
- cur_offset : buf_reader
- cur_param : _INSTRUCTION
- cur_pos : buf_reader
- Cur_Pt : _IFS_DATA, Fractal_Struct
- cur_pts : demux_flv_t, pvrscr_s, sequence_t, stretchscr_s, unixscr_values_t
- cur_size : vdr_input_plugin_s
- cur_time : demux_mpgaudio_t, pvrscr_s, stretchscr_s, unixscr_values_t
- cur_track : vcd_input_plugin_t
- curGState : _PLUGIN_INFO
- curmethod : tvtime_t
- curpos : avio_input_plugin_t, crypto_input_plugin_t, dvb_input_plugin_t, ftp_input_plugin_t, gnomevfs_input_t, http_input_plugin_t, net_input_plugin_t, nfs_input_plugin_t, pnm_input_plugin_t, rip_input_plugin_s, rtp_input_plugin_t, rtsp_input_plugin_t, ssh_input_plugin_t, stdin_input_plugin_t, v4l_input_plugin_t, vdr_input_plugin_s
- curr_obj : dvbsub_func_t
- curr_pic_num : h264_parser
- curr_reg : dvbsub_func_t
- current : hls_input_plugin_t, pgx32_driver_t, pgx64_driver_t, win32_driver_t
- current_anchor : spucmml_decoder_s
- current_audio_chunk : demux_idcin_t
- current_chapter : chapter_info_s
- current_clip : bluray_input_plugin_t
- current_code : sequence_t
- current_data_chunk_packet_count : demux_real_t
- current_duration : vos_t
- current_extra_info : xine_stream_private_st
- current_extra_info_index : xine_stream_private_st
- current_fbuf : mpeg2_info_s
- current_field : picture_s
- current_frame : cdda_input_plugin_t, demux_mpc_t, demux_vmd_t, mpc_decoder_s, picture_s, qt_trak
- current_height : vos_t
- current_id : xine_pool_chunk_s
- current_osd_text : sputext_decoder_s
- current_output_surface : vdpau_driver_t
- current_picture : mpeg2_info_s
- current_picture_2nd : mpeg2_info_s
- current_pos : demux_str_t, mms_s, mmsh_s
- current_pts : demux_mod_t, demux_nsf_t
- current_sample : demux_film_t, demux_wv_t
- current_shot : demux_mve_t
- current_song : demux_nsf_t
- current_spu_channel : demux_ts_t, spuhdmv_decoder_s
- current_title : bluray_input_plugin_t
- current_title_idx : bluray_input_plugin_t
- current_vdp_runtime_nr : vdpau_accel_t
- current_version : config_values_s
- current_width : vos_t
- current_yuv_byte : foovideo_decoder_s, post_plugin_fooviz_s
- currentCursor : XineOpenGLView
- currentframe : demux_tta_t
- currentNS : _GoomSL
- custom_colors : matroska_sub_track_t
- custom_fbuf : mpeg2dec_s
- cut_off_freq : upmix_parameters_s
- cv : caca_driver_t
- cvolume : pulse_driver_s
- Cx : Similitude_Struct
- Cy : Similitude_Struct
- cycle : _PLUGIN_INFO, _SOUND_INFO, _TENTACLE_FX_DATA
- cyclesSinceLastChange : _PLUGIN_INFO